Bug 1413361 - Tracker bug for 6.2.8 dashboard enhancments
Summary: Tracker bug for 6.2.8 dashboard enhancments
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Dashboard
Version: Nightly
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Tomer Brisker
QA Contact: jcallaha
URL:
Whiteboard:
Depends On: 1232877 1337483 1353749 1391365 1417114
Blocks: 1417133
TreeView+ depends on / blocked
 
Reported: 2017-01-15 12:12 UTC by Tomer Brisker
Modified: 2019-09-25 21:20 UTC (History)
6 users (show)

Fixed In Version: foreman-1.11.0.66-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1417133 (view as bug list)
Environment:
Last Closed: 2017-03-06 08:37:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
role filters 1 (169.98 KB, image/png)
2017-02-23 16:40 UTC, jcallaha
no flags Details
role filters 2 (77.05 KB, image/png)
2017-02-23 16:40 UTC, jcallaha
no flags Details
verification screenshot 1 (95.71 KB, image/png)
2017-02-23 16:41 UTC, jcallaha
no flags Details
verification screenshot 2 (95.93 KB, image/png)
2017-02-23 16:41 UTC, jcallaha
no flags Details
verification screenshot 3 (96.66 KB, image/png)
2017-02-23 16:41 UTC, jcallaha
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 13662 0 None None None 2017-01-15 12:53:27 UTC
Foreman Issue Tracker 15773 0 None None None 2017-01-15 12:21:18 UTC
Foreman Issue Tracker 16238 0 None None None 2017-01-15 12:19:03 UTC
Foreman Issue Tracker 16260 0 None None None 2017-01-15 12:19:30 UTC
Foreman Issue Tracker 16358 0 None None None 2017-01-15 12:19:55 UTC
Foreman Issue Tracker 16702 0 None None None 2017-01-15 12:20:30 UTC
Foreman Issue Tracker 16723 0 None None None 2017-01-15 12:20:44 UTC
Foreman Issue Tracker 17152 0 None None None 2017-01-15 12:21:34 UTC
Foreman Issue Tracker 17632 0 None None None 2017-01-15 12:21:04 UTC
Red Hat Product Errata RHBA-2017:0447 0 normal SHIPPED_LIVE Satellite 6.2.8 Async Bug Release 2017-03-06 13:23:41 UTC

Description Tomer Brisker 2017-01-15 12:12:28 UTC

Comment 1 pm-sat@redhat.com 2017-01-15 13:15:40 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 2 pm-sat@redhat.com 2017-01-15 13:15:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17632 has been resolved.

Comment 4 Daniel Lobato Garcia 2017-01-27 08:50:29 UTC
Setting as triaged as there's a fix already upstream and a merge request downstream.

Comment 7 jcallaha 2017-02-23 16:39:04 UTC
Verified in Satellite 6.2.8 Snap 3. All the behavior expected from the linked bugs is in place. See below for individual verification details.

https://bugzilla.redhat.com/show_bug.cgi?id=1232877
===================================================
Verified in 6.2.8 by QE


https://bugzilla.redhat.com/show_bug.cgi?id=1337483
===================================================
In 6.2.8 Snap 3, clicking a section of the chart brings you to the hosts page with a custom search entered. Examples below. This correctly shows the hosts that you would expect to see when clicking on said chart portion.

URL
https://rhsm-qe-1.rhq.lab.eng.bos.redhat.com/hosts?search=last_report+%3E+%2235+minutes+ago%22+and+status.enabled+%3D+true+and+status.applied+%3D+0+and+status.failed+%3D+0+and+status.pending+%3D+0+and+puppet_proxy_id+%3D+%221%22
----
https://rhsm-qe-1.rhq.lab.eng.bos.redhat.com/hosts?search=last_report+%3C+%2235+minutes+ago%22+and+status.enabled+%3D+true+and+puppet_proxy_id+%3D+%224%22

Search
last_report > "35 minutes ago" and status.enabled = true and status.applied = 0 and status.failed = 0 and status.pending = 0 and puppet_proxy_id = "1"
----
last_report < "35 minutes ago" and status.enabled = true and puppet_proxy_id = "4"


https://bugzilla.redhat.com/show_bug.cgi?id=1391365
===================================================
In 6.2.8 Snap 3 I created a custom role with the filters seen in the attached images, then assigned that role to a new user. I then logged into that user and entered the search string "blah". There were no errors seen and the dashboard loaded correctly (verification screenshot 1). I then searched by a specific host collection and the results were filtered as expected (verification screenshot 2).


https://bugzilla.redhat.com/show_bug.cgi?id=1417114
===================================================
In 6.2.8 Snap 3 I reused the user and roles created for the bug above. I was then able to filter the dashboard by a specific compute resource, without errors (verification screenshot 3).

Comment 8 jcallaha 2017-02-23 16:40:21 UTC
Created attachment 1256981 [details]
role filters 1

Comment 9 jcallaha 2017-02-23 16:40:46 UTC
Created attachment 1256982 [details]
role filters 2

Comment 10 jcallaha 2017-02-23 16:41:06 UTC
Created attachment 1256983 [details]
verification screenshot 1

Comment 11 jcallaha 2017-02-23 16:41:24 UTC
Created attachment 1256984 [details]
verification screenshot 2

Comment 12 jcallaha 2017-02-23 16:41:41 UTC
Created attachment 1256985 [details]
verification screenshot 3

Comment 14 errata-xmlrpc 2017-03-06 08:37:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0447


Note You need to log in before you can comment on or make changes to this bug.